libspatialaudio-dev_0.3.0+git20180730+dfsg1-2_i386.deb


Advertisement

Description

libspatialaudio-dev - library for ambisonic encoding and decoding (development files)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libspatialaudio-dev_0.3.0+git20180730+dfsg1-2_i386.deb
Package name libspatialaudio-dev
Package version 0.3.0+git20180730+dfsg1
Package release 2
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage https://github.com/videolabs/libspatialaudio
License -
Maintainer Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Download size 53.31 KB
Installed size 243.00 KB
libspatialaudio is an open-source and cross-platform C++ library for Ambisonic
encoding and decoding, filtering and binaural rendering. It is targeted to
render High-Order Ambisonic (HOA) and VR/3D audio samples in multiple
environments, from headphones to classic loudspeakers. Its binaural rendering
can be used for classical 5.1/7.1 spatial channels as well as Ambisonics
inputs.  It supports Higher Order Ambisonics (HOA) and ACN/SN3D Ambisonics
audio streams following the Google spatial audio specification and the IETF
codec Ambisonics specification.
The library allows you to encode, decode, rotate, zoom HOA Ambisonics audio
streams up to the 3rd order. It can output to standard and custom loudspeakers
arrays. To playback with headphones, the binauralizer applies an HRTF (either
a SOFA file or the included MIT HRTF) to provide a spatial binaural rendering
effect. The binauralization can also be used to render multichannels streams
(5.1, 7.1...).
This package contains the development files.

Alternatives

Package Version Architecture Repository
libspatialaudio-dev_0.3.0+git20180730+dfsg1-2_amd64.deb 0.3.0+git20180730+dfsg1 amd64 Debian Main
libspatialaudio-dev - - -

Requires

Name Value
libmysofa-dev -
libspatialaudio0 = 0.3.0+git20180730+dfsg1-2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libspatialaudio-dev_0.3.0+git20180730+dfsg1-2_i386.deb
Source Package libspatialaudio

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libspatialaudio-dev deb package:
    # sudo apt-get install libspatialaudio-dev

Files

Path
/usr/include/spatialaudio/AmbisonicBase.h
/usr/include/spatialaudio/AmbisonicBinauralizer.h
/usr/include/spatialaudio/AmbisonicCommons.h
/usr/include/spatialaudio/AmbisonicDecoder.h
/usr/include/spatialaudio/AmbisonicDecoderPresets.h
/usr/include/spatialaudio/AmbisonicEncoder.h
/usr/include/spatialaudio/AmbisonicEncoderDist.h
/usr/include/spatialaudio/AmbisonicMicrophone.h
/usr/include/spatialaudio/AmbisonicProcessor.h
/usr/include/spatialaudio/AmbisonicPsychoacousticFilters.h
/usr/include/spatialaudio/AmbisonicSource.h
/usr/include/spatialaudio/AmbisonicSpeaker.h
/usr/include/spatialaudio/AmbisonicTypesDefinesCommons.h
/usr/include/spatialaudio/AmbisonicZoomer.h
/usr/include/spatialaudio/Ambisonics.h
/usr/include/spatialaudio/BFormat.h
/usr/include/spatialaudio/SpeakersBinauralizer.h
/usr/include/spatialaudio/config.h
/usr/include/spatialaudio/hrtf.h
/usr/include/spatialaudio/kiss_fft.h
/usr/include/spatialaudio/kiss_fftr.h
/usr/include/spatialaudio/mit_hrtf.h
/usr/include/spatialaudio/mit_hrtf_filter.h
/usr/include/spatialaudio/mit_hrtf_lib.h
/usr/include/spatialaudio/sofa_hrtf.h
/usr/lib/i386-linux-gnu/libspatialaudio.a
/usr/lib/i386-linux-gnu/libspatialaudio.so
/usr/lib/i386-linux-gnu/pkgconfig/spatialaudio.pc
/usr/share/doc/libspatialaudio-dev/README.md.gz
/usr/share/doc/libspatialaudio-dev/changelog.Debian.gz
/usr/share/doc/libspatialaudio-dev/copyright

Changelog

2019-01-05 - Sebastian Ramacher <sramacher@debian.org>
libspatialaudio (0.3.0+git20180730+dfsg1-2) unstable; urgency=medium
* debian/control:
- Fix Homepage.
- Set Rules-Requires-Root: no.
- Bump Standards-Version.
* debian/: Bump debhelper compat to 12.
2018-07-31 - Sebastian Ramacher <sramacher@debian.org>
libspatialaudio (0.3.0+git20180730+dfsg1-1) unstable; urgency=medium
* Initial release. (Closes: #905060)

See Also

Package Description
libspatialaudio0_0.3.0+git20180730+dfsg1-2_i386.deb library for ambisonic encoding and decoding (runtime files)
libspatialindex-c5_1.9.0-1_i386.deb General framework for developing spatial indices - C library
libspatialindex-dev_1.9.0-1_i386.deb General framework for developing spatial indices - development files
libspatialindex5_1.9.0-1_i386.deb General framework for developing spatial indices
libspatialite-dev_4.3.0a-5+b2_i386.deb Geospatial extension for SQLite - development files
libspatialite7_4.3.0a-5+b2_i386.deb Geospatial extension for SQLite - libraries
libspctag-dev_0.2-1_i386.deb ID666 tags edition support library (development headers)
libspctag1_0.2-1_i386.deb ID666 tags edition support library
libspdlog-dev_1.3.1-1_i386.deb Very fast, header only, C++ logging library
libspdylay-dev_1.3.2-2.1+b12_i386.deb implementation of SPDY protocol in C - development files
libspdylay-utils_1.3.2-2.1+b12_i386.deb implementation of SPDY protocol in C - utilities
libspdylay7_1.3.2-2.1+b12_i386.deb implementation of SPDY protocol in C
libspec-alpha-clojure_0.2.176-3_all.deb library to describe the structure of data and functions
libspecio-library-path-tiny-perl_0.04-3_all.deb Path::Tiny types and coercions for Specio
libspecio-perl_0.43-1_all.deb Perl module providing type constraints and coercions
Advertisement
Advertisement